$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  FileFullPath  = Join-Path $toolsDir "cloudflared.exe"

  url           = 'https://github.com/cloudflare/cloudflared/releases/download/2023.8.1/cloudflared-windows-386.exe'
  url64bit      = 'https://github.com/cloudflare/cloudflared/releases/download/2023.8.1/cloudflared-windows-amd64.exe'

  checksum      = '7cfb411d04bac42ef93d1f0c93c0a481e38c6f4612b97ae89d4702595988edc7'
  checksumType  = 'sha256'
  checksum64    = '5b3c2d846ab162dc6bc595cce3a49de5731afde5d6060be7066d21b013a28373'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
